/*=============================================================================
	HXGameInfo.h: Header file for HXGameInfo

=============================================================================*/

#ifndef _HX_GAME_INFO_
#define _HX_GAME_INFO_

/*------------------------------------------------------------------------------------
	Declaration.
------------------------------------------------------------------------------------*/

#ifndef NAMES_ONLY

class HXCOOP_API AHXGameInfo : public AGameInfo
{
public:
    FStringNoInit EntryPortal;
    DECLARE_FUNCTION(execEngineSaveGame);
    DECLARE_FUNCTION(execEngineGetDeusExLevelInfo);
    DECLARE_FUNCTION(execEngineGetNextMissionNumber);
    DECLARE_FUNCTION(execEngineGetCurrentMissionNumber);
    DECLARE_FUNCTION(execEngineSaveCurrentLevel);
    DECLARE_FUNCTION(execEnginePruneTravelActors);
    DECLARE_FUNCTION(execEngineLoadSaveInfo);
    DECLARE_FUNCTION(execEngineDeleteSaveGameFiles);
    DECLARE_FUNCTION(execEngineCopySaveGameFiles);
    DECLARE_FUNCTION(execEngineGetSaveInfo);
    DECLARE_FUNCTION(execEngineDeleteGame);
    DECLARE_FUNCTION(execGetEngine);
    DECLARE_CLASS(AHXGameInfo,AGameInfo,0|CLASS_Config)
    NO_DEFAULT_CONSTRUCTOR(AHXGameInfo)
};

#endif // NAMES_ONLY

AUTOGENERATE_FUNCTION(AHXGameInfo,2320,execEngineSaveGame);
AUTOGENERATE_FUNCTION(AHXGameInfo,2319,execEngineGetDeusExLevelInfo);
AUTOGENERATE_FUNCTION(AHXGameInfo,2318,execEngineGetNextMissionNumber);
AUTOGENERATE_FUNCTION(AHXGameInfo,2317,execEngineGetCurrentMissionNumber);
AUTOGENERATE_FUNCTION(AHXGameInfo,2316,execEngineSaveCurrentLevel);
AUTOGENERATE_FUNCTION(AHXGameInfo,2315,execEnginePruneTravelActors);
AUTOGENERATE_FUNCTION(AHXGameInfo,2314,execEngineLoadSaveInfo);
AUTOGENERATE_FUNCTION(AHXGameInfo,2313,execEngineDeleteSaveGameFiles);
AUTOGENERATE_FUNCTION(AHXGameInfo,2312,execEngineCopySaveGameFiles);
AUTOGENERATE_FUNCTION(AHXGameInfo,2311,execEngineGetSaveInfo);
AUTOGENERATE_FUNCTION(AHXGameInfo,2310,execEngineDeleteGame);
AUTOGENERATE_FUNCTION(AHXGameInfo,2300,execGetEngine);

#endif //_HX_GAME_INFO_

/*------------------------------------------------------------------------------------
	The End.
------------------------------------------------------------------------------------*/
